
From: Francois Romieu <romieu@fr.zoreil.com>

RxUnderrun status bit renamed to LinkChg (identical to the 8139cp driver).


---

 25-akpm/drivers/net/r8169.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

diff -puN drivers/net/r8169.c~266-mm2-r8169-register-rename drivers/net/r8169.c
--- 25/drivers/net/r8169.c~266-mm2-r8169-register-rename	2004-05-15 23:35:01.993535840 -0700
+++ 25-akpm/drivers/net/r8169.c	2004-05-15 23:35:01.999534928 -0700
@@ -203,7 +203,7 @@ enum RTL8169_register_content {
 	SWInt = 0x0100,
 	TxDescUnavail = 0x80,
 	RxFIFOOver = 0x40,
-	RxUnderrun = 0x20,
+	LinkChg = 0x20,
 	RxOverflow = 0x10,
 	TxErr = 0x08,
 	TxOK = 0x04,
@@ -359,9 +359,9 @@ static int rtl8169_poll(struct net_devic
 #endif
 
 static const u16 rtl8169_intr_mask =
-	RxUnderrun | RxOverflow | RxFIFOOver | TxErr | TxOK | RxErr | RxOK;
+	LinkChg | RxOverflow | RxFIFOOver | TxErr | TxOK | RxErr | RxOK;
 static const u16 rtl8169_napi_event =
-	RxOK | RxUnderrun | RxOverflow | RxFIFOOver | TxOK | TxErr;
+	RxOK | LinkChg | RxOverflow | RxFIFOOver | TxOK | TxErr;
 static const unsigned int rtl8169_rx_config =
     (RX_FIFO_THRESH << RxCfgFIFOShift) | (RX_DMA_BURST << RxCfgDMAShift);
 
@@ -1569,7 +1569,7 @@ rtl8169_interrupt(int irq, void *dev_ins
 
 		handled = 1;
 /*
-		if (status & RxUnderrun)
+		if (status & LinkChg)
 			link_changed = RTL_R16 (CSCR) & CSCR_LinkChangeBit;
 */
 		status &= tp->intr_mask;
@@ -1592,7 +1592,7 @@ rtl8169_interrupt(int irq, void *dev_ins
 		break;
 #else
 		// Rx interrupt 
-		if (status & (RxOK | RxUnderrun | RxOverflow | RxFIFOOver)) {
+		if (status & (RxOK | LinkChg | RxOverflow | RxFIFOOver)) {
 			rtl8169_rx_interrupt(dev, tp, ioaddr);
 		}
 		// Tx interrupt

_
